Arbor 3: FSM & BT Graph Editor 3.7.0

Public Member Functions | Protected Member Functions | Properties | List of all members
CalculatorNode Class Reference

Class that represents a calculator More...

Inheritance diagram for CalculatorNode:

## Public Member Functions
Object | GetObject ()
| Get the Object of the attached Calculator More...
| CalculatorNode (NodeGraph nodeGraph, int nodeID, System.Type calculatorType)
| CalculatorNode constructor More...
Calculator | CreateCalculator (System.Type calculatorType)
| Create a Calculator. More...
override bool | IsContainsBehaviour (NodeBehaviour behaviour)
| Check if it contains NodeBehaviour. More...
Public Member Functions inherited from Node
| Node (NodeGraph nodeGraph, int nodeID)
| Node constructor More...
virtual bool | IsDeletable ()
| Returns whether or not it can be deleted. More...
virtual string | GetName ()
| Get node name. More...
override string | ToString ()
| Convert node to string (for debugging). More...

## Protected Member Functions
override void | OnGraphChanged ()
| Called when the NodeGraph to which the Node belongs has changed. More...

## Properties
int | calculatorID`[get]`
| Gets the calculator node identifier. More...
Calculator | calculator`[get]`
| Get the attached Calculator. More...
Properties inherited from Node
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...

## Additional Inherited Members
Public Attributes inherited from Node
Rect | position
| Position on the Arbor Editor. More...
bool | showComment
| Whether to display comments More...
string | nodeComment
| Comment More...

## Detailed Description

Class that represents a calculator

## Constructor & Destructor Documentation

## ◆ CalculatorNode()

CalculatorNode | ( | NodeGraph | nodeGraph,
|  | int | nodeID,
|  | System.Type | calculatorType
| ) |  |

CalculatorNode constructor

Parameters

  nodeGraph | NodeGraph with this node
  nodeID | Node ID
  calculatorType | Calculator type

Please use the NodeGraph.CreateCalculator(System.Type) Calculator Node creating.

## Member Function Documentation

## ◆ CreateCalculator()

Calculator CreateCalculator | ( | System.Type | calculatorType | ) |

Create a Calculator.

Use it in the editor.

## ◆ GetObject()

Object GetObject | ( |  | ) |

Get the Object of the attached Calculator

Returns
  The Object of the attached Calculator

## ◆ IsContainsBehaviour()

override bool IsContainsBehaviour | ( | NodeBehaviour | behaviour | ) |
| virtual

Check if it contains NodeBehaviour.

Parameters

  behaviour | Check NodeBehaviour

Returns
  Returns true if it contains NodeBehaviour.

Reimplemented from Node.

## ◆ OnGraphChanged()

override void OnGraphChanged | ( |  | ) |
| protected virtual

Called when the NodeGraph to which the Node belongs has changed.

Reimplemented from Node.

## Property Documentation

## ◆ calculator

Calculator calculator
| get

Get the attached Calculator.

## ◆ calculatorID

int calculatorID
| get

Gets the calculator node identifier.